<template>
  <div class="relative bg-black-10">
    <div
      id="rect-top"
      class="absolute top-0 z-20 w-screen green-gradient-primary"
      :style="{ minHeight: height_rect_top }"
    >
      <div
        class="absolute bottom-0 w-4/5"
        style="transform: translate(-50%, 50%); left: 50%"
      >
        <button
          class="
            px-8
            py-3
            text-white
            bg-blue-400
            rounded-full
            shadow-xl
            focus:outline-none
          "
        >
          Our Service
        </button>
      </div>
      <div
        class="absolute right-0 justify-end flex"
        :style="{ top: $mq === 'tablet' ? '50%' : '40%' }"
      >
        <img
          :src="require('~/assets/images/mobile_landing.png')"
          class="md:w-9/12 lg:w-full hidden md:block"
        />
      </div>
    </div>
    <div id="landing" v-if="!is_detail_gift">
      <div class="container w-4/5 mx-auto" id="tracking-wrapper">
        <section
          class="relative z-20 flex mt-7 md:mt-13 xl:mt-16 mb-60"
          id="title"
        >
          <div id="text-wrapper">
            <div class="text-xl font-bold text-white md:text-3xl lg:text-5xl">
              Scanhub! Scan QR get
              <span class="text-blue-400">FREE</span> product.
            </div>
            <p class="text-white text-tiny md:text-lg lg:text-xl w-9/12">
              Lorem Ipsum is simply dummy text of the printing and typesetting
              industry. Lorem Ipsum has been the industry's.
            </p>
          </div>
        </section>
        <WhyUs />
      </div>
      <Target />
      <Tracking />
      <ReceiptORC />

      <p
        class="
          pb-5
          pt-10
          container
          mx-auto
          text-blue-300 text-3xl
          font-bold
          mx-auto
          w-4/5
        "
      >
        Our clients
      </p>
      <LandingLogoList />
      <PainPoint />
      <WhyScankub />
      <Technology />
      <div id="blog" class="container w-4/5 py-10 mx-auto">
        <p class="py-5 text-3xl font-bold text-center text-black-400">Blog</p>
        <div
          id="wrapper"
          class="grid grid-cols-1 gap-5 md:grid-cols-2 lg:grid-cols-3"
        >
          <div v-for="(blog, index) in mock_blog" :key="index">
            <BlogWrapper
              :data="mock_blog[index]"
              direction="column"
              :highlight="false"
              @click.native="openDetail(blog, 'blog')"
            />
          </div>
        </div>
      </div>
      <div class="container flex flex-col w-4/5 py-10 mx-auto">
        <div class="text-4xl text-center font-700 pb-48px">Active Campaign</div>
        <div
          class="
            grid
            sm:grid-cols-2
            lg:grid-cols-3
            justify-items-center
            gap-x-15px gap-y-24px
          "
        >
          <div
            v-for="(gift, index) in mock_gift"
            :key="index"
            class="relative bg-white cursor-pointer rounded-xl"
            style="height: 415px"
            @click="openDetail(gift, 'gift')"
          >
            <GiftWrapper :gift="gift" />
          </div>
        </div>
        <div class="flex flex-wrap justify-center">
          <nuxt-link to="/active-campaign">
            <button
              class="
                text-blue-300
                bg-white
                border border-blue-300
                p-16px
                my-32px
                rounded-500px
                w-218px
                focus:outline-none
              "
            >
              View all
            </button>
          </nuxt-link>
        </div>
      </div>
    </div>
    <DetailWrapper v-if="is_detail_blog" :selected="selected">
      {{ selected.desciption }}
    </DetailWrapper>
    <DetailWrapper
      :selected="selected"
      v-if="is_detail_gift"
      class="text-black-400"
    >
      <p class="text-base">{{ selected.description }}</p>
      <div id="How to get gift" class="my-5">
        <p class="mb-3 text-xl font-bold">How to get gift</p>
        <p>{{ selected.how_to_gift }}</p>
      </div>
      <div class="my-5">
        <p class="mb-3 text-xl font-bold">Branch to get gift</p>
        <ul class="list-disc list-inside">
          <li
            v-for="gift in selected.branch_to_gift"
            :key="gift"
            v-html="gift"
          ></li>
        </ul>
      </div>
      <div id="Term & Condition">
        <p class="mb-3 text-xl font-bold">Term & Condition</p>
        <p>{{ selected.term_and_condition }}</p>
      </div>
    </DetailWrapper>
  </div>
</template>

<script>
import { mock_blog } from "../mock_data/mock_blog"
import { mock_gift_update_data_list } from "../mock_data/mock_gift_update_data_list"
export default {
  data() {
    return {
      height_rect_top: "450px",
      is_detail_gift: false,
      is_detail_blog: false,
      selected: "",
      mock_blog: mock_blog,
      mock_gift: mock_gift_update_data_list,
      promotions: [
        {
          promotion_name: "HOT DEAL",
          is_highlight: true,
          package_name: "Package S",
          discount: 50,
          original_price: 85000,
          expired_date: new Date(),
        },
        {
          promotion_name: "HOT DEAL",
          is_highlight: true,
          package_name: "Package S",
          discount: 50,
          original_price: 85000,
        },
        {
          promotion_name: "HOT DEAL",
          package_name: "Package S",
          discount: 50,
          original_price: 85000,
        },
      ],
    }
  },
  mounted() {
    this.mock_blog = this.mock_blog.slice(0, 3)
    this.mock_gift = this.mock_gift.slice(0, 3)
  },
  methods: {
    openDetail(selecting, type) {
      switch (type) {
        case "gift":
          this.is_detail_gift = !this.is_detail_gift

          break
        case "blog":
          this.is_detail_blog = !this.is_detail_blog
          break
      }

      this.selected = selecting
    },
  },
}
</script>
